local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, a = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

local c = BittensSpellFlashLibrary2

local function flashCombat()
    a.FlashAll("Wound Poison", "Deadly Poison", "Instant Poison")
    if not s.InCombat() then
        return
    end
    
    c.RotateCooldowns({}, "Adrenaline Rush", "Killing Spree")
    a.Flash(
        "Slice and Dice",
        "Expose Armor",
        "Rupture unless SnD",
        "Eviscerate",
        "Revealing Strike",
        "Sinister Strike")
end

local function flashAssassination()
    a.FlashAll("Wound Poison", "Deadly Poison", "Instant Poison")
    if not s.InCombat() then
        return
    end
    
    a.FlashAll("Vendetta", "Vanish")
    a.Flash(
        "Garrote",
        "Envenom for SnD",
        "Slice and Dice",
        "Rupture",
        "Envenom",
        "Backstab",
        "Mutilate")
end

s.Spam[AddonName] = function()
    c.Init(AddonName, a)
    c.Run(
        { flashAssassination, 1, "assassination_off" },
        { flashCombat, 2, "combat_off" })
end
